Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.synd
Class SyndImageImpl

    java.lang.Object
      com.sun.syndication.feed.synd.SyndImageImpl

All Implemented Interfaces:
  CopyFrom, SyndImage, Serializable, Cloneable

    public class SyndImageImpl

extends Object
implements Serializable, SyndImage

Bean for images of SyndFeedImpl feeds.

Author:
  Alejandro Abdelnur
See Also:
  Serialized Form

Constructor Summary
`SyndImageImpl()` Default constructor.

Method Summary
`Object` | `clone()` Creates a deep 'bean' clone of the object.
`void` | `copyFrom(CopyFrom syndImage)` Copies all the properties of the given bean into this one.
`boolean` | `equals(Object other)` Indicates whether some other object is "equal to" this one as defined by the Object equals() method.
`String` | `getDescription()` Returns the image description.
`Class` | `getInterface()` Returns the interface the copyFrom works on.
`String` | `getLink()` Returns the image link.
`String` | `getTitle()` Returns the image title.
`String` | `getUrl()` Returns the image URL.
`int` | `hashCode()` Returns a hashcode value for the object.
`void` | `setDescription(String description)` Sets the image description.
`void` | `setLink(String link)` Sets the image link.
`void` | `setTitle(String title)` Sets the image title.
`void` | `setUrl(String url)` Sets the image URL.
`String` | `toString()` Returns the String representation for the object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SyndImageImpl

    public SyndImageImpl()

  Default constructor. All properties are set to null.

Method Detail

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Creates a deep 'bean' clone of the object.

  Specified by:
    `clone` in interface `SyndImage`
  Overrides:
    `clone` in class `Object`
  Returns:
    a clone of the object.
  Throws:
    `CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

### equals

    public boolean equals(Object other)

  Indicates whether some other object is "equal to" this one as defined by the Object equals() method.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `other` - he reference object with which to compare.
  Returns:
    true if 'this' object is equal to the 'other' object.

### hashCode

    public int hashCode()

  Returns a hashcode value for the object.

  It follows the contract defined by the Object hashCode() method.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    the hashcode of the bean object.

### toString

    public String toString()

  Returns the String representation for the object.

  Overrides:
    `toString` in class `Object`
  Returns:
    String representation for the object.

### getTitle

    public String getTitle()

  Returns the image title.

  Specified by:
    `getTitle` in interface `SyndImage`
  Returns:
    the image title, null if none.

### setTitle

    public void setTitle(String title)

  Sets the image title.

  Specified by:
    `setTitle` in interface `SyndImage`
  Parameters:
    `title` - the image title to set, null if none.

### getUrl

    public String getUrl()

  Returns the image URL.

  Specified by:
    `getUrl` in interface `SyndImage`
  Returns:
    the image URL, null if none.

### setUrl

    public void setUrl(String url)

  Sets the image URL.

  Specified by:
    `setUrl` in interface `SyndImage`
  Parameters:
    `url` - the image URL to set, null if none.

### getLink

    public String getLink()

  Returns the image link.

  Specified by:
    `getLink` in interface `SyndImage`
  Returns:
    the image link, null if none.

### setLink

    public void setLink(String link)

  Sets the image link.

  Specified by:
    `setLink` in interface `SyndImage`
  Parameters:
    `link` - the image link to set, null if none.

### getDescription

    public String getDescription()

  Returns the image description.

  Specified by:
    `getDescription` in interface `SyndImage`
  Returns:
    the image description, null if none.

### setDescription

    public void setDescription(String description)

  Sets the image description.

  Specified by:
    `setDescription` in interface `SyndImage`
  Parameters:
    `description` - the image description to set, null if none.

### getInterface

    public Class getInterface()

  Description copied from interface: `CopyFrom`
  Returns the interface the copyFrom works on.

  This is useful when dealing with properties that may have multiple implementations. For example, Module.

  Specified by:
    `getInterface` in interface `CopyFrom`
  Returns:
    the interface the copyFrom works on.

### copyFrom

    public void copyFrom(CopyFrom syndImage)

  Description copied from interface: `CopyFrom`
  Copies all the properties of the given bean into this one.

  Any existing properties in this bean are lost.

  This method is useful for moving from one implementation of a bean interface to another. For example from the default SyndFeed bean implementation to a Hibernate ready implementation.

  Specified by:
    `copyFrom` in interface `CopyFrom`
  Parameters:
    `syndImage` - the instance to copy properties from.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.